We have moved to a new Sailfish OS Forum. Please start new discussions there.
1

Cannot set 'Time & date' in latest SDK 3.1.7

asked 2020-05-08 11:08:05 +0200

Spam Hunter gravatar image

updated 2020-05-13 09:50:50 +0200

jovirkku gravatar image

The latest SDK does not load the Date & time settings page in the emulator, I get "page loading failed"

edit retag flag offensive close delete

1 Answer

Sort by » oldest newest most voted
0

answered 2020-05-11 10:45:45 +0200

martyone gravatar image

This seems to be bug in Sailfish OS 3.3.0.16 - required package nemo-qml-plugin-contextkit-qt5 cannot be installed due to a package conflict. All the package dependencies are met though, so you can work it around by installing the package forcefully, e.g. with

$ sfdk emulator exec pkcon install zypper
$ sfdk emulator exec sudo zypper in nemo-qml-plugin-contextkit-qt5

and choosing "Solution 3: break nemo-qml-plugin-contextkit-qt5-1.1.10-1.1.1.jolla.i486 by ignoring some of its dependencies" when zypper asks.

edit flag offensive delete publish link more

Comments

Okay, thanks. Where do I carry out these commands?

Spam Hunter ( 2020-05-11 10:56:12 +0200 )edit

zypper and the contextkit-plugin are already installed according to the manage build targets window in SailfishOS Build Machine, I'm only offered the option to remove them, now what? :(

Spam Hunter ( 2020-05-11 17:51:54 +0200 )edit

The Manage Build Targets window shows what is in the build targets, not emulator. Find sfdk in the bin subdirectory of Sailfish SDK installation directory. On Windows prefer using Git Bash terminal for best experience.

martyone ( 2020-05-12 10:37:36 +0200 )edit
Login/Signup to Answer

Question tools

Follow
2 followers

Stats

Asked: 2020-05-08 11:08:05 +0200

Seen: 141 times

Last updated: May 11 '20